# Method: studies.getStudyMetrics

**Full name**: projects.locations.datasets.dicomStores.dicomWeb.studies.getStudyMetrics

studies.getStudyMetrics returns metrics for a study.

### HTTP request

`GET https://healthcare.googleapis.com/v1/{study=projects/*/locations/*/datasets/*/dicomStores/*/dicomWeb/studies/*}:getStudyMetrics`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `study` | `string` Required. The study resource path. For example, `projects/{projectId}/locations/{locationId}/datasets/{datasetId}/dicomStores/{dicomStoreId}/dicomWeb/studies/{studyUid}`. |

### Request body

The request body must be empty.

### Response body

StudyMetrics contains metrics describing a DICOM study.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "study": string, "structuredStorageSizeBytes": string, "blobStorageSizeBytes": string, "instanceCount": string, "seriesCount": string } ``` |

| Fields ||
|---|---|
| `study` | `string` The study resource path. For example, `projects/{projectId}/locations/{locationId}/datasets/{datasetId}/dicomStores/{dicomStoreId}/dicomWeb/studies/{studyUid}`. |
| `structuredStorageSizeBytes` | `string (https://developers.google.com/discovery/v1/type-format format)` Total structured storage bytes for all instances in the study. |
| `blobStorageSizeBytes` | `string (https://developers.google.com/discovery/v1/type-format format)` Total blob storage bytes for all instances in the study. |
| `instanceCount` | `string (https://developers.google.com/discovery/v1/type-format format)` Number of instances in the study. |
| `seriesCount` | `string (https://developers.google.com/discovery/v1/type-format format)` Number of series in the study. |

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/cloud-healthcare`
- `https://www.googleapis.com/auth/cloud-platform`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).